Bug 238639 - FC 7 test 4, acpid and Shutdown
FC 7 test 4, acpid and Shutdown
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-01 18:41 EDT by Richard Steck
Modified: 2008-05-06 21:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:37:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Steck 2007-05-01 18:41:01 EDT
Description of problem:
In order to install FC7 tests 3 and 4, it is necessary to use the acpi=off boot 
parameter, otherwise installation hangs.   After installation, when acpi is 
off, my system doesn't power off properly after shutdown.  Whether I shutdown 
via gnome desktop or command line [# shutdown -h now], Linux displays a "System 
halted." message, but does not shut power off.  Power needs to be shut off 
manually.

Version-Release number of selected component (if applicable):


How reproducible:
Happens with every shutdown.

Steps to Reproduce:
1.Install FC7t4 with acpi=off boot parameter.
2.Issue command   #shutdown -h now
3.System should halt all processes and turn power off.
  
Actual results:
Shutdown ends with "System halted." message.  No power off.


Expected results:
shutdown -h now   should turn off power.

Additional info:   Bug is similar to  #237419.  My mobo is an Intel D102GGC2 
with ATI Radeon 200 chipset.  BIOS is updated.
Comment 1 Phil Knirsch 2007-05-16 10:56:52 EDT
Sounds very much like a kernel ACPI bug, so reassigning to kernel.

Read ya, Phil

PS: And if you turn ACPI off it's normal that you have to manually power off
your system, as the automatic power off is done via ACPI.
Comment 2 Mikko Huhtala 2007-05-27 14:35:08 EDT
I see this behaviour, but it only appeared with kernel-2.6.21-1.3194.fc7. The
previous kernels appeared to shut down normally.

The last things that appear in the syslog are as follows:

May 27 13:39:44 localhost pcscd: pcscdaemon.c:558:at_exit() cleaning /var/run
May 27 13:39:44 localhost kernel: Kernel logging (proc) stopped.
May 27 13:39:44 localhost kernel: Kernel log daemon terminating.
May 27 13:39:45 localhost exiting on signal 15

The power does not go out. After shutdown thinks it's complete, unplugging and
plugging a USB mouse still prints a message about it on the console.

I'm using a IBM ThinkPad R50e model 1634 (Pentium M, cpu family 6 model 9,
chipset 82855PM).
Comment 3 Bug Zapper 2008-04-03 20:25:30 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 21:37:50 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.